Skip to main content
GET
List artifact approvals

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
fingerprint
string
required
Pattern: ^[a-f0-9]{5,64}$
org
string
required

Response

Successful Response

release_number
integer
required

The approval number

base_artifact
string
required

The base artifact fingerprint

artifact_name
string
required

The name/identifier of the artifact

target_artifact
string
required

The target artifact fingerprint

description
string
required

Description for the approval

src_commit_list
string[]
required

List of commits with their artifact fingerprints

Pattern: ^[a-f0-9]{40}$
created_at
number
required

Timestamp when the approval was created

last_modified_at
number
required

Timestamp when the approval was last modified

state
enum<string>
required

Overall approval state

Available options:
APPROVED,
UNAPPROVED,
PENDING
approvals
ApprovalWithTimestamp · object[]
required

List of individual approvals

environment
string | null

Environment the approval is valid for

user_data

Additional user data

Last modified on June 18, 2026